Bug 818334 - [abrt] openscap-0.8.1-1.fc16: __GI_raise: Process /usr/libexec/openscap/probe_file was killed by signal 6 (SIGABRT)
[abrt] openscap-0.8.1-1.fc16: __GI_raise: Process /usr/libexec/openscap/probe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openscap (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Kopeček
Fedora Extras Quality Assurance
abrt_hash:5071780702ddcbc2d85f819c280...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 15:37 EDT by Brian Harrington
Modified: 2014-03-03 19:33 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:08:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (7.17 KB, text/plain)
2012-05-02 15:37 EDT, Brian Harrington
no flags Details
File: backtrace (7.46 KB, text/plain)
2012-05-02 15:37 EDT, Brian Harrington
no flags Details
stack trace from error (7.17 KB, application/octet-stream)
2012-11-30 21:51 EST, Brian Millett
no flags Details

  None (edit)
Description Brian Harrington 2012-05-02 15:37:17 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/libexec/openscap/probe_file
comment:        working with scap-workbench to look at some output files.
crash_function: __GI_raise
executable:     /usr/libexec/openscap/probe_file
kernel:         3.3.2-6.fc16.x86_64
pid:            5625
pwd:            /home/bharrington/Projects/aqueduct/trunk/compliance/Bash/CIS/rhel5/prod
reason:         Process /usr/libexec/openscap/probe_file was killed by signal 6 (SIGABRT)
time:           Wed 02 May 2012 02:48:08 PM EDT
uid:            1000
username:       bharrington
var_log_messages: May  2 14:48:09 kraken abrt[6861]: Saved core dump of pid 5625 (/usr/libexec/openscap/probe_file) to /var/spool/abrt/ccpp-2012-05-02-14:48:08-5625 (191574016 bytes)

backtrace:      Text file, 7637 bytes
maps:           Text file, 7338 bytes

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330551505
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330551505
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330551505
:/lib64/libacl.so.1.1.0 libacl-2.2.51-2.fc16.x86_64 (Fedora Project) 1324004574
:/lib64/libattr.so.1.1.0 libattr-2.4.46-2.fc16.x86_64 (Fedora Project) 1324004569
:/usr/lib64/libopenscap.so.1.0.0 openscap-0.8.1-1.fc16.x86_64 (Fedora Project) 1335974011
:/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.x86_64 (Fedora Project) 1324004571
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330551505
:/usr/lib64/libexslt.so.0.8.15 libxslt-1.1.26-8.fc16.x86_64 (Fedora Project) 1324004575
:/usr/libexec/openscap/probe_file openscap-0.8.1-1.fc16.x86_64 (Fedora Project) 1335974011
:/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.x86_64 (Fedora Project) 1324004571
:/usr/lib64/libxslt.so.1.1.26 libxslt-1.1.26-8.fc16.x86_64 (Fedora Project) 1324004575
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1324004569
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1332531296
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1329317203
:/lib64/libpcre.so.0.0.1 pcre-8.12-7.fc16.x86_64 (Fedora Project) 1329317226
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330551505

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=kraken
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-7G0VID/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6208294ba2ac0eec501b078f00000019-1335964817.481105-1742319435
:WINDOWID=33555399
:OLDPWD=/home/bharrington/Projects/aqueduct/trunk/compliance/Bash/CIS/rhel5
:GNOME_KEYRING_CONTROL=/tmp/keyring-7G0VID
:IMSETTINGS_MODULE=none
:USER=bharrington
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:EC2_HOME=/opt/EC2TOOLS
:SSH_AUTH_SOCK=/tmp/keyring-7G0VID/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1611,unix/unix:/tmp/.ICE-unix/1611
:USERNAME=bharrington
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin:/opt/EC2TOOLS/bin:/home/bharrington/.local/bin:/home/bharrington/bin:/opt/mspgcc/bin:/usr/local/android-sdk-linux_86/platform-tools/:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin:/opt/EC2TOOLS/bin
:MAIL=/var/spool/mail/bharrington
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/bharrington/Projects/aqueduct/trunk/compliance/Bash/CIS/rhel5/prod
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1604
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/bharrington
:SHLVL=3
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=bharrington
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-3pHP3jfXdD,guid=f02561b58b3a858dfb7321290000001d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/bharrington
:EC2_PRIVATE_KEY=/home/bharrington/.ec2/pk-PVOHHVNVQN5BBVXYPI5CUC4G5GNTRX75.pem
:DISPLAY=:0
:COLORTERM=gnome-terminal
:EC2_CERT=/home/bharrington/.ec2/cert-PVOHHVNVQN5BBVXYPI5CUC4G5GNTRX75.pem
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-bharrington-ingjjm/database
:_=/usr/bin/scap-workbench

smolt_data:
:
:
:General
:=================================
:UUID: 2d30aae8-0287-4914-b5c0-b5ad1f8c00e8
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5319.98
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P8800  @ 2.66GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2667
:System Memory: 7881
:System Swap: 1023
:Vendor: LENOVO
:System: 2081CTO ThinkPad T500
:Form factor: Notebook
:Kernel: 3.3.2-6.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:6058:8416) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:6058:8418) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10544:6058:8441) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:6058:8440) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10519:6058:8437) pci, None, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:4341:6058:8430) pci, e1000e, ETHERNET, 82567LM Gigabit Network Connection
:(32902:9288:6058:8436) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:6058:8433) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:6058:8433) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:16957:32902:4625) pci, iwlwifi, NETWORK, WiMAX/WiFi Link 5150 AGN
:(32902:10818:6058:8469) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10566:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10820:6058:8422) pci, None, SIMPLE, Mobile 4 Series Chipset MEI Controller
:(32902:10823:6058:8428) pci, serial, 16550_SERIAL, Mobile 4 Series Chipset AMT SOL Redirection
:(32902:10558:6058:8434) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10568:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10552:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:38289:6058:8470) pci, radeon, VIDEO, Mobility Radeon HD 3650
:(4480:1426:6058:8394) pci, r592, BASE, ThinkPad T61
:(4480:2130:6058:8395) pci, r852, BASE, xD-Picture Card Controller
:(4480:1142:6058:8390) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(4480:2098:6058:8391) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:6058:8392) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_krakenssd-lv_root / ext4 4096 4096 25585601 6567576 5286348 6406144 5959643 5959643
:/dev/sda1 /boot ext4 4096 4096 261467 230143 217036 65536 65263 65263
:
Comment 1 Brian Harrington 2012-05-02 15:37:23 EDT
Created attachment 581703 [details]
File: maps
Comment 2 Brian Harrington 2012-05-02 15:37:25 EDT
Created attachment 581704 [details]
File: backtrace
Comment 3 Daniel Kopeček 2012-05-03 06:56:47 EDT
Hi,
 are you able to reproduce this bug or is it a random one? A coredump would be helpful, I'd like to see the contents of the probe_citem_t structure at #4 in the backtrace.
Comment 4 Brian Millett 2012-11-30 21:49:52 EST
Don't know if this is the same bug, but

Fedora 17 with the following installed:
openscap-devel-0.9.1-1.fc17.x86_64
openscap-python-0.9.1-1.fc17.x86_64
openscap-extra-probes-0.9.1-1.fc17.x86_64
openscap-content-0.9.1-1.fc17.noarch
openscap-utils-0.9.1-1.fc17.x86_64
openscap-0.9.1-1.fc17.x86_64
openscap-content-sectool-0.9.1-1.fc17.x86_64
openscap-perl-0.9.1-1.fc17.x86_64

Trying to do the following:

oscap xccdf eval --profile F14-Default --results foo.xml /usr/share/openscap/scap-fedora14-xccdf.xml

Get the following error

OpenSCAP Error: Can't connect to the probe [oval_probe_ext.c:353]
*** glibc detected *** /usr/libexec/openscap/probe_file: double free or corruption (fasttop): 0x00007f99104940e0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x319647c00e)[0x7f9968af900e]
/usr/libexec/openscap/probe_file(+0x6db0)[0x7f996b102db0]
/lib64/libopenscap.so.2(rbt_free+0x80)[0x7f996aa79f20]
/usr/libexec/openscap/probe_file(+0x76e2)[0x7f996b1036e2]
/usr/libexec/openscap/probe_file(main+0x306)[0x7f996b0ffe96]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f9968a9e735]
/usr/libexec/openscap/probe_file(+0x3fe9)[0x7f996b0fffe9]


Also will attach the memory map portion of the error
Comment 5 Brian Millett 2012-11-30 21:51:29 EST
Created attachment 655389 [details]
stack trace from error
Comment 6 Fedora End Of Life 2013-01-16 17:36:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 20:09:00 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Andrey Rudakov 2013-11-11 07:42:39 EST
Fedora 18
openscap-0.9.7-1.fc18.i686

oscap xccdf eval --profile F14-Default --results /tmp/xccdf-results.xml scap-fedora14-xccdf.xml


*** glibc detected *** /usr/libexec/openscap/probe_file: double free or corruption (fasttop): 0xb7fe3878 ***
======= Backtrace: =========
/lib/libc.so.6(+0x43267ff9)[0xb7128ff9]
/lib/libopenscap.so.3(sm_free+0x20)[0xb767bfe0]
/lib/libopenscap.so.3(SEXP_free+0x2f)[0xb767639f]
/usr/libexec/openscap/probe_file(+0x6451)[0xb7725451]
/lib/libopenscap.so.3(rbt_free+0x85)[0xb766b0a5]
/lib/libopenscap.so.3(rbt_i64_free_cb+0x24)[0xb766c0a4]
/usr/libexec/openscap/probe_file(+0x6ec0)[0xb7725ec0]
/usr/libexec/openscap/probe_file(main+0x35d)[0xb7721e0d]
/lib/libc.so.6(__libc_start_main+0xf5)[0xb70cc865]
/usr/libexec/openscap/probe_file(+0x2f99)[0xb7721f99]
======= Memory map: ========
a1000000-a1100000 rw-p 00000000 00:00 0 
a1200000-a1279000 rw-p 00000000 00:00 0 
a1279000-a1300000 ---p 00000000 00:00 0 
a1300000-a1400000 rw-p 00000000 00:00 0 
a1400000-a1500000 rw-p 00000000 00:00 0 
a1500000-a1600000 rw-p 00000000 00:00 0 
a1800000-a3200000 rw-p 00000000 00:00 0 
a3200000-a32f9000 rw-p 00000000 00:00 0 
a32f9000-a3300000 ---p 00000000 00:00 0 
a3300000-a5200000 rw-p 00000000 00:00 0 
a5200000-a5300000 rw-p 00000000 00:00 0 
a5300000-a7200000 rw-p 00000000 00:00 0 
a7200000-a7300000 rw-p 00000000 00:00 0 
a7300000-a8f00000 rw-p 00000000 00:00 0 
a8f00000-a9000000 rw-p 00000000 00:00 0 
a9000000-aac00000 rw-p 00000000 00:00 0 
aac00000-aad00000 rw-p 00000000 00:00 0 
aad00000-aca00000 rw-p 00000000 00:00 0 
aca00000-acb00000 rw-p 00000000 00:00 0 
acb00000-ae700000 rw-p 00000000 00:00 0 
ae700000-ae800000 rw-p 00000000 00:00 0 
ae800000-b0600000 rw-p 00000000 00:00 0 
b0600000-b0700000 rw-p 00000000 00:00 0 
b0700000-b1f00000 rw-p 00000000 00:00 0 
b1f00000-b2000000 rw-p 00000000 00:00 0 
b2000000-b3400000 rw-p 00000000 00:00 0 
b3400000-b3600000 rw-p 00000000 00:00 0 
b3600000-b3800000 rw-p 00000000 00:00 0 
b3800000-b3a00000 rw-p 00000000 00:00 0 
b3a00000-b3b00000 rw-p 00000000 00:00 0 
b3bff000-b3c00000 ---p 00000000 00:00 0 
b3c00000-b4400000 rw-p 00000000 00:00 0 
b4400000-b4600000 rw-p 00000000 00:00 0 
b4600000-b4700000 rw-p 00000000 00:00 0 
b5000000-b5021000 rw-p 00000000 00:00 0 
b5021000-b5100000 ---p 00000000 00:00 0 
b515b000-b515c000 ---p 00000000 00:00 0 
b515c000-b595c000 rw-p 00000000 00:00 0 
b595c000-b595d000 ---p 00000000 00:00 0 
b595d000-b615d000 rw-p 00000000 00:00 0 
b615d000-b615e000 ---p 00000000 00:00 0 
b615e000-b6962000 rw-p 00000000 00:00 0 
b6962000-b69b2000 r-xp 00000000 fd:01 1847408    /usr/lib/libfreebl3.so
b69b2000-b69b3000 r--p 0004f000 fd:01 1847408    /usr/lib/libfreebl3.so
b69b3000-b69b4000 rw-p 00050000 fd:01 1847408    /usr/lib/libfreebl3.so
b69b4000-b69b9000 rw-p 00000000 00:00 0 
b69b9000-b69d9000 r-xp 00000000 fd:01 1838116    /usr/lib/libselinux.so.1
b69d9000-b69da000 r--p 0001f000 fd:01 1838116    /usr/lib/libselinux.so.1
b69da000-b69db000 rw-p 00020000 fd:01 1838116    /usr/lib/libselinux.so.1
b69db000-b69dc000 rw-p 00000000 00:00 0 
b69dc000-b69e4000 r-xp 00000000 fd:01 1847409    /usr/lib/libcrypt-2.16.so
b69e4000-b69e5000 r--p 00007000 fd:01 1847409    /usr/lib/libcrypt-2.16.so
b69e5000-b69e6000 rw-p 00008000 fd:01 1847409    /usr/lib/libcrypt-2.16.so
b69e6000-b6a0d000 rw-p 00000000 00:00 0 
b6a0d000-b6b9c000 r-xp 00000000 fd:01 1838542    /usr/lib/libcrypto.so.1.0.1e
b6b9c000-b6b9d000 ---p 0018f000 fd:01 1838542    /usr/lib/libcrypto.so.1.0.1e
b6b9d000-b6bac000 r--p 0018f000 fd:01 1838542    /usr/lib/libcrypto.so.1.0.1e
b6bac000-b6bb2000 rw-p 0019e000 fd:01 1838542    /usr/lib/libcrypto.so.1.0.1e
b6bb2000-b6bb6000 rw-p 00000000 00:00 0 
b6bb6000-b6c10000 r-xp 00000000 fd:01 1838555    /usr/lib/libssl.so.1.0.1e
b6c10000-b6c12000 r--p 0005a000 fd:01 1838555    /usr/lib/libssl.so.1.0.1e
b6c12000-b6c15000 rw-p 0005c000 fd:01 1838555    /usr/lib/libssl.so.1.0.1e
b6c15000-b6c16000 rw-p 00000000 00:00 0 
b6c16000-b6c19000 r-xp 00000000 fd:01 1847403    /usr/lib/libkeyutils.so.1.4
b6c19000-b6c1a000 r--p 00002000 fd:01 1847403    /usr/lib/libkeyutils.so.1.4
b6c1a000-b6c1b000 rw-p 00003000 fd:01 1847403    /usr/lib/libkeyutils.so.1.4
b6c1b000-b6c25000 r-xp 00000000 fd:01 1838117    /usr/lib/libkrb5support.so.0.1
b6c25000-b6c26000 r--p 00009000 fd:01 1838117    /usr/lib/libkrb5support.so.0.1
b6c26000-b6c27000 rw-p 0000a000 fd:01 1838117    /usr/lib/libkrb5support.so.0.1
b6c27000-b6c40000 r-xp 00000000 fd:01 1847410    /usr/lib/libsasl2.so.2.0.23
b6c40000-b6c41000 r--p 00018000 fd:01 1847410    /usr/lib/libsasl2.so.2.0.23
b6c41000-b6c42000 rw-p 00019000 fd:01 1847410    /usr/lib/libsasl2.so.2.0.23
b6c42000-b6c57000 r-xp 00000000 fd:01 1847400    /usr/lib/libresolv-2.16.so
b6c57000-b6c58000 r--p 00014000 fd:01 1847400    /usr/lib/libresolv-2.16.so
b6c58000-b6c59000 rw-p 00015000 fd:01 1847400    /usr/lib/libresolv-2.16.so
b6c59000-b6c5b000 rw-p 00000000 00:00 0 
b6c5b000-b6c82000 r-xp 00000000 fd:01 1847375    /usr/lib/liblzma.so.5.0.99
b6c82000-b6c83000 ---p 00027000 fd:01 1847375    /usr/lib/liblzma.so.5.0.99
b6c83000-b6c84000 r--p 00027000 fd:01 1847375    /usr/lib/liblzma.so.5.0.99
b6c84000-b6c85000 rw-p 00028000 fd:01 1847375    /usr/lib/liblzma.so.5.0.99
b6c85000-b6c86000 rw-p 00000000 00:00 0 
b6c86000-b6cad000 r-xp 00000000 fd:01 1835185    /usr/lib/libssh2.so.1.0.1
b6cad000-b6cae000 r--p 00027000 fd:01 1835185    /usr/lib/libssh2.so.1.0.1
b6cae000-b6caf000 rw-p 00028000 fd:01 1835185    /usr/lib/libssh2.so.1.0.1
b6caf000-b6ce8000 r-xp 00000000 fd:01 1847413    /usr/lib/libnspr4.so
b6ce8000-b6ce9000 r--p 00039000 fd:01 1847413    /usr/lib/libnspr4.so
b6ce9000-b6cea000 rw-p 0003a000 fd:01 1847413    /usr/lib/libnspr4.so
b6cea000-b6cec000 rw-p 00000000 00:00 0 
b6cec000-b6cf0000 r-xp 00000000 fd:01 1847414    /usr/lib/libplc4.so
b6cf0000-b6cf1000 r--p 00003000 fd:01 1847414    /usr/lib/libplc4.so
b6cf1000-b6cf2000 rw-p 00004000 fd:01 1847414    /usr/lib/libplc4.so
b6cf2000-b6cf5000 r-xp 00000000 fd:01 1847415    /usr/lib/libplds4.so
b6cf5000-b6cf6000 r--p 00002000 fd:01 1847415    /usr/lib/libplds4.so
b6cf6000-b6cf7000 rw-p 00003000 fd:01 1847415    /usr/lib/libplds4.so
b6cf7000-b6d17000 r-xp 00000000 fd:01 1847416    /usr/lib/libnssutil3.so
b6d17000-b6d1a000 r--p 00020000 fd:01 1847416    /usr/lib/libnssutil3.so
b6d1a000-b6d1b000 rw-p 00023000 fd:01 1847416    /usr/lib/libnssutil3.so
b6d1b000-b6d1c000 rw-p 00000000 00:00 0 
b6d1c000-b6e5c000 r-xp 00000000 fd:01 1847417    /usr/lib/libnss3.so
b6e5c000-b6e5f000 r--p 0013f000 fd:01 1847417    /usr/lib/libnss3.so
b6e5f000-b6e61000 rw-p 00142000 fd:01 1847417    /usr/lib/libnss3.so
b6e61000-b6e89000 r-xp 00000000 fd:01 1847419    /usr/lib/libsmime3.so
b6e89000-b6e8b000 r--p 00028000 fd:01 1847419    /usr/lib/libsmime3.so
b6e8b000-b6e8c000 rw-p 0002a000 fd:01 1847419    /usr/lib/libsmime3.so
b6e8c000-b6ec2000 r-xp 00000000 fd:01 1836004    /usr/lib/libssl3.so
b6ec2000-b6ec4000 r--p 00036000 fd:01 1836004    /usr/lib/libssl3.so
b6ec4000-b6ec5000 rw-p 00038000 fd:01 1836004    /usr/lib/libssl3.so
b6ec5000-b6ec8000 r-xp 00000000 fd:01 1847364    /usr/lib/libcom_err.so.2.1
b6ec8000-b6ec9000 r--p 00002000 fd:01 1847364    /usr/lib/libcom_err.so.2.1
b6ec9000-b6eca000 rw-p 00003000 fd:01 1847364    /usr/lib/libcom_err.so.2.1
b6eca000-b6ef2000 r-xp 00000000 fd:01 1838118    /usr/lib/libk5crypto.so.3.1
b6ef2000-b6ef3000 ---p 00028000 fd:01 1838118    /usr/lib/libk5crypto.so.3.1
b6ef3000-b6ef4000 r--p 00028000 fd:01 1838118    /usr/lib/libk5crypto.so.3.1
b6ef4000-b6ef5000 rw-p 00029000 fd:01 1838118    /usr/lib/libk5crypto.so.3.1
b6ef5000-b6ef6000 rw-p 00000000 00:00 0 
b6ef6000-b6fcf000 r-xp 00000000 fd:01 1838534    /usr/lib/libkrb5.so.3.3
b6fcf000-b6fd5000 r--p 000d9000 fd:01 1838534    /usr/lib/libkrb5.so.3.3
b6fd5000-b6fd6000 rw-p 000df000 fd:01 1838534    /usr/lib/libkrb5.so.3.3
b6fd6000-b6fd7000 rw-p 00000000 00:00 0 
b6fd7000-b7017000 r-xp 00000000 fd:01 1838537    /usr/lib/libgssapi_krb5.so.2.2
b7017000-b7018000 r--p 0003f000 fd:01 1838537    /usr/lib/libgssapi_krb5.so.2.2
b7018000-b7019000 rw-p 00040000 fd:01 1838537    /usr/lib/libgssapi_krb5.so.2.2
b7019000-b7067000 r-xp 00000000 fd:01 1838896    /usr/lib/libldap-2.4.so.2.8.5
b7067000-b7068000 ---p 0004e000 fd:01 1838896    /usr/lib/libldap-2.4.so.2.8.5
b7068000-b7069000 r--p 0004e000 fd:01 1838896    /usr/lib/libldap-2.4.so.2.8.5
b7069000-b706a000 rw-p 0004f000 fd:01 1838896    /usr/lib/libldap-2.4.so.2.8.5
b706a000-b7077000 r-xp 00000000 fd:01 1847483    /usr/lib/liblber-2.4.so.2.8.5
b7077000-b7078000 r--p 0000d000 fd:01 1847483    /usr/lib/liblber-2.4.so.2.8.5
b7078000-b7079000 rw-p 0000e000 fd:01 1847483    /usr/lib/liblber-2.4.so.2.8.5
b7079000-b70aa000 r-xp 00000000 fd:01 1838075    /usr/lib/libidn.so.11.6.9
b70aa000-b70ab000 r--p 00030000 fd:01 1838075    /usr/lib/libidn.so.11.6.9
b70ab000-b70ac000 rw-p 00031000 fd:01 1838075    /usr/lib/libidn.so.11.6.9
b70ac000-b70b0000 r-xp 00000000 fd:01 1847468    /usr/lib/libattr.so.1.1.0
b70b0000-b70b1000 r--p 00003000 fd:01 1847468    /usr/lib/libattr.so.1.1.0
b70b1000-b70b2000 rw-p 00004000 fd:01 1847468    /usr/lib/libattr.so.1.1.0
b70b2000-b70b3000 rw-p 00000000 00:00 0 
b70b3000-b7263000 r-xp 00000000 fd:01 1847362    /usr/lib/libc-2.16.so
b7263000-b7265000 r--p 001b0000 fd:01 1847362    /usr/lib/libc-2.16.so
b7265000-b7266000 rw-p 001b2000 fd:01 1847362    /usr/lib/libc-2.16.so
b7266000-b7269000 rw-p 00000000 00:00 0 
b7269000-b7285000 r-xp 00000000 fd:01 1838532    /usr/lib/libgcc_s-4.7.2-20121109.so.1
b7285000-b7286000 r--p 0001b000 fd:01 1838532    /usr/lib/libgcc_s-4.7.2-20121109.so.1
b7286000-b7287000 rw-p 0001c000 fd:01 1838532    /usr/lib/libgcc_s-4.7.2-20121109.so.1
b7287000-b728e000 r-xp 00000000 fd:01 1847374    /usr/lib/librt-2.16.so
b728e000-b728f000 r--p 00006000 fd:01 1847374    /usr/lib/librt-2.16.so
b728f000-b7290000 rw-p 00007000 fd:01 1847374    /usr/lib/librt-2.16.so
b7290000-b72a6000 r-xp 00000000 fd:01 1838473    /usr/lib/libpthread-2.16.so
b72a6000-b72a7000 r--p 00015000 fd:01 1838473    /usr/lib/libpthread-2.16.so
b72a7000-b72a8000 rw-p 00016000 fd:01 1838473    /usr/lib/libpthread-2.16.so
b72a8000-b72aa000 rw-p 00000000 00:00 0 
b72aa000-b73fd000 r-xp 00000000 fd:01 1838679    /usr/lib/libxml2.so.2.9.0
b73fd000-b7401000 r--p 00153000 fd:01 1838679    /usr/lib/libxml2.so.2.9.0
b7401000-b7402000 rw-p 00157000 fd:01 1838679    /usr/lib/libxml2.so.2.9.0
b7402000-b7403000 rw-p 00000000 00:00 0 
b7403000-b7465000 r-xp 00000000 fd:01 1837319    /usr/lib/libpcre.so.1.0.1
b7465000-b7466000 r--p 00061000 fd:01 1837319    /usr/lib/libpcre.so.1.0.1
b7466000-b7467000 rw-p 00062000 fd:01 1837319    /usr/lib/libpcre.so.1.0.1
b7467000-b7468000 rw-p 00000000 00:00 0 
b7468000-b746b000 r-xp 00000000 fd:01 1837470    /usr/lib/libgpg-error.so.0.8.0
b746b000-b746c000 r--p 00002000 fd:01 1837470    /usr/lib/libgpg-error.so.0.8.0
b746c000-b746d000 rw-p 00003000 fd:01 1837470    /usr/lib/libgpg-error.so.0.8.0
b746d000-b7470000 r-xp 00000000 fd:01 1846649    /usr/lib/libdl-2.16.so
b7470000-b7471000 r--p 00002000 fd:01 1846649    /usr/lib/libdl-2.16.so
b7471000-b7472000 rw-p 00003000 fd:01 1846649    /usr/lib/libdl-2.16.so
b7472000-b74f0000 r-xp 00000000 fd:01 1847369    /usr/lib/libgcrypt.so.11.7.0
b74f0000-b74f1000 r--p 0007d000 fd:01 1847369    /usr/lib/libgcrypt.so.11.7.0
b74f1000-b74f3000 rw-p 0007e000 fd:01 1847369    /usr/lib/libgcrypt.so.11.7.0
b74f3000-b7531000 r-xp 00000000 fd:01 1845851    /usr/lib/libm-2.16.so
b7531000-b7532000 r--p 0003d000 fd:01 1845851    /usr/lib/libm-2.16.so
b7532000-b7533000 rw-p 0003e000 fd:01 1845851    /usr/lib/libm-2.16.so
b7533000-b7548000 r-xp 00000000 fd:01 1838540    /usr/lib/libz.so.1.2.7
b7548000-b7549000 r--p 00014000 fd:01 1838540    /usr/lib/libz.so.1.2.7
b7549000-b754a000 rw-p 00015000 fd:01 1838540    /usr/lib/libz.so.1.2.7
b754a000-b7586000 r-xp 00000000 fd:01 1845937    /usr/lib/libxslt.so.1.1.27
b7586000-b7587000 r--p 0003b000 fd:01 1845937    /usr/lib/libxslt.so.1.1.27
b7587000-b7588000 rw-p 0003c000 fd:01 1845937    /usr/lib/libxslt.so.1.1.27
b7588000-b7589000 rw-p 00000000 00:00 0 
b7589000-b759d000 r-xp 00000000 fd:01 1836378    /usr/lib/libexslt.so.0.8.16
b759d000-b759e000 r--p 00013000 fd:01 1836378    /usr/lib/libexslt.so.0.8.16
b759e000-b759f000 rw-p 00014000 fd:01 1836378    /usr/lib/libexslt.so.0.8.16
b759f000-b7601000 r-xp 00000000 fd:01 1836935    /usr/lib/libcurl.so.4.2.0
b7601000-b7603000 r--p 00061000 fd:01 1836935    /usr/lib/libcurl.so.4.2.0
b7603000-b7604000 rw-p 00063000 fd:01 1836935    /usr/lib/libcurl.so.4.2.0
b7604000-b76d6000 r-xp 00000000 fd:01 1835147    /usr/lib/libopenscap.so.3.2.1
b76d6000-b76da000 r--p 000d2000 fd:01 1835147    /usr/lib/libopenscap.so.3.2.1
b76da000-b76db000 rw-p 000d6000 fd:01 1835147    /usr/lib/libopenscap.so.3.2.1
b76db000-b76e2000 r-xp 00000000 fd:01 1847469    /usr/lib/libacl.so.1.1.0
b76e2000-b76e3000 r--p 00007000 fd:01 1847469    /usr/lib/libacl.so.1.1.0
b76e3000-b76e4000 rw-p 00008000 fd:01 1847469    /usr/lib/libacl.so.1.1.0
b76fb000-b76fd000 rw-p 00000000 00:00 0 
b76fd000-b76fe000 r-xp 00000000 00:00 0          [vdso]
b76fe000-b771d000 r-xp 00000000 fd:01 1847361    /usr/lib/ld-2.16.so
b771d000-b771e000 r--p 0001e000 fd:01 1847361    /usr/lib/ld-2.16.so
b771e000-b771f000 rw-p 0001f000 fd:01 1847361    /usr/lib/ld-2.16.so
b771f000-b7727000 r-xp 00000000 fd:01 1969382    /usr/libexec/openscap/probe_file
b7727000-b7728000 r--p 00008000 fd:01 1969382    /usr/libexec/openscap/probe_file
b7728000-b7729000 rw-p 00009000 fd:01 1969382    /usr/libexec/openscap/probe_file
b794d000-bffcd000 rw-p 00000000 00:00 0          [heap]
bffda000-bfffb000 rw-p 00000000 00:00 0          [stack]
Comment 9 Andrey Rudakov 2013-11-11 07:45:55 EST
Title   Restrict Permissions on /var/spool/cron directory
Rule    rule-3.4.2.4.c
Ident   (null)
Result  pass

** glibc detected *** /usr/libexec/openscap/probe_file: double free or corruption (fasttop): 0xb7fe3878 ***

======= Backtrace: =========
/lib/libc.so.6(+0x43267ff9)[0xb7128ff9]
/lib/libopenscap.so.3(sm_free+0x20)[0xb767bfe0]
/lib/libopenscap.so.3(SEXP_free+0x2f)[0xb767639f]
/usr/libexec/openscap/probe_file(+0x6451)[0xb7725451]
/lib/libopenscap.so.3(rbt_free+0x85)[0xb766b0a5]
/lib/libopenscap.so.3(rbt_i64_free_cb+0x24)[0xb766c0a4]
/usr/libexec/openscap/probe_file(+0x6ec0)[0xb7725ec0]
/usr/libexec/openscap/probe_file(main+0x35d)[0xb7721e0d]
/lib/libc.so.6(__libc_start_main+0xf5)[0xb70cc865]
/usr/libexec/openscap/probe_file(+0x2f99)[0xb7721f99]
======= Memory map: ========

...


b794d000-bffcd000 rw-p 00000000 00:00 0          [heap]
bffda000-bfffb000 rw-p 00000000 00:00 0          [sta

Note You need to log in before you can comment on or make changes to this bug.